define([ 'durandal/app', 'durandal/system', 'knockout', 'services/datacontext', 'services/logger'], function (app, system, ko, dataservice, logger) {
    return {
        oils: ko.observableArray([]),
        activeDisease: ko.observable(null),
        refresh: function(){
            dataservice.getOilPartials(this.oils, true);
        },

        activate: function(){
            this.refresh();
        }
    };

});